import yt


ds = yt.load("BonnorEbert_hdf5_plt_cnt_0010")

ad = ds.all_data()

idens = ad["dens"].in_units("g * cm**-3") > 2.1254e-22

ddens = np.array(ad["dens"][idens])
vdens = np.array(ad["cell_volume"][idens])
mdens = ddens * vdens

Mc = np.sum(mdens)/1.989e33
print('Masa de gas denso = ', Mc, ' Msun')

#################
## Otra forma: ##
#################
#densg = ad.cut_region(['obj["dens"] > 2.1254e-22']) # n > 100 cm**-3
#dense_ad = ad.cut_region(['(obj["Number_density"] > 5e5)']) 
                        # & (obj["velz"].in_units("km/s") > 1)'])
#mdens = densg.quantities.total_mass()
#print('Masa de gas denso = ', mdens)
#Mc = mdens[0].v/1.989e33 # We get just the number in units of Msun
#print('Masa de gas denso = ', Mc, ' Msun')

