import yt

ds = yt.load("BonnorEbert_hdf5_plt_cnt_0010")
slc = yt.SlicePlot(ds,'z','dens',center='c')

# Define the colormap (https://yt-project.org/doc/visualizing/colormaps/index.html):
slc.set_cmap(field='dens', cmap='BLUE') #'RED TEMPERATURE'

#Set colormap limits:
slc.set_zlim('dens', 1e-23, 3e-19)

#Set colormap label:
slc.set_colorbar_label('dens','Density (g cm$^{-3})$')

slc.set_font_size(size=15)

slc.save()
