import yt

# https://snyk.io/advisor/python/yt/functions/yt.units.yt_array.YTQuantity

# Import yt units:
from yt.units import *

ds = yt.load("BonnorEbert_hdf5_plt_cnt_0010")

#https://yt-project.org/doc/analyzing/fields.html
print('Field list:')
for field in ds.field_list:
    print(field)

print('################')
print('Derived fields list:')
for field in ds.derived_field_list:
    print(field)

print(ds.field_info["gas", "pressure"].get_units())
print(ds.field_info["gas", "pressure"].get_source())

print(ds.field_info["gas", "magx"].get_units())
print(ds.field_info["gas", "magx"].get_source())


# Field with magnetic fields:
##Defino B0 como constante = 1 \mu G
#B0 = ds.quan(1.e-6,'G')
#
#print(B0)
##Defino el campo magnetico normalizado a B0:
#def _B0(field, data):
#  return data['magx']/B0
#yt.add_field(name=("magnetic_field_norm"), function=_B0, sampling_type="local", units="",)


## Define the number density field:
#def _cdens(field, data):
#  return (1.0/1.27/1.67e-24/gram)*data['dens']
#ds.add_field('Number_density', units='cm**-3', function=_cdens)
#
##slc = yt.SlicePlot(ds,'z','dens',center='c')
#slc = yt.SlicePlot(ds,'z','Number_density',center='c')
#
#slc.save()
