import yt

# Note that we need to specify the Bfield/velocity component in the horizontal/vertical directions
direction = 'z'

ds = yt.load("BonnorEbert_hdf5_plt_cnt_0010")
slc = yt.SlicePlot(ds,direction,'dens',center='c')

# Velocity streamlines:
#if direction == 'x':
# slc.annotate_streamlines('vely', 'velz')
#elif direction == 'y':
# slc.annotate_streamlines('velz', 'velx')
#else:
# slc.annotate_streamlines('velx', 'vely')

## Bfield streamlines:
if direction == 'x':
 slc.annotate_streamlines('magy', 'magz')
elif direction == 'y':
 slc.annotate_streamlines('magz', 'magx')
else:
 slc.annotate_streamlines('magx', 'magy')


slc.save()
